# Playbill Builder CLI

This is a CLI tool for compiling YAML files into a validated Playbill for [Proscenium](https://proscenium.game)

## Usage

```
Usage:
  muse [/path/to/binding.yaml] <options>

Options:
  --check         Only load and check the current binding and resources, but do not compile
  --write         Write the output to a file. If not specified, outputs to stdout
  --outfile       Specify the output file path [default: playbill.json]
  --verbose, -v   Verbose output
  --help, -h      Show this help message
```

## Binding File

```yaml
$binding: playbill
id: the-playbill-id
name: My Playbill
author: My Name
version: 0.0.1
files: # optional
  - "**/*.yaml"
```

## Definable Playbill Resources

- ability
- species
- entity
- item
- tag
- lore
- method
- rule

### Shape: Ability

```yaml
$define: ability # Required
id: ability-id # Required
name: Ability Name # Required
description: Some description # Required
type: action | cue | trait # Required
costs: # Optional, and each subfield is optional
  ap: 1
  hp: 1
  xp: 1
  ep: 1
roll: none (default), fate or a talent # Optional
boons: # Optional
  - First boon
  - Second boon
banes: # Optional
  - First bane
  - Second bane

```
